.table-container {
    max-height: 600px;
    /* Triggers vertical scrollbar if table is taller */
    overflow: auto;
    /* Adds scrollbars dynamically (horizontal & vertical) */
    border: 1px solid #ddd;
    border-radius: 4px;
}


/*	hide the libraries search bar*/
.hdr-search {
    display: none;
}

#quicksearchbar button {
    display: block;
    font-size: 85%;
    padding: 5px 10px;
    border: 1ps outset black;
}

#quicksearchbar button:hover {
    background-color: darkgray;
}

#results {
    width: 95%;
    margin: 0;
    padding: 0;
    border: 0;
    font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
    font-size: 14px;
    line-height: 1.42857143;
    color: #333;
}

.navbar {
    width: 900px;
}

.input-btn {
    background-color: black;
    font-size: .9em;
    color: #fff;
    overflow: visible;
    width: auto;
    padding: 6px 12px 5px 18px;
    border: 0;
    cursor: pointer;
    margin-top: 15px;
}

.caret {
    display: inline-block;
    width: 0;
    height: 0;
    margin-left: 2px;
    vertical-align: middle;
    border-top: 4px dashed;
    border-right: 4px solid transparent;
    border-left: 4px solid transparent;
}


.dropdown-menu {
    position: absolute;
    /*top: 100%;*/
    left: 0;
    z-index: 1000;
    display: none;
    float: left;
    min-width: 160px;
    padding: 5px 0;
    margin: 2px 0 0;
    font-size: 14px;
    text-align: left;
    list-style: none;
    background-color: #fff;
    -webkit-background-clip: padding-box;
    background-clip: padding-box;
    border: 1px solid #ccc;
    border: 1px solid rgba(0, 0, 0, .15);
    border-radius: 4px;
    -webkit-box-shadow: 0 6px 12px rgba(0, 0, 0, .175);
    box-shadow: 0 6px 12px rgba(0, 0, 0, .175);
}

.dropdown-menu {
    font-size: 14px;
    text-align: left;
    list-style: none;
    list-style-type: none;
    list-style-image: none;
    list-style-position: outside;
}


.dropdown-menu>li>a {
    display: block;
    padding: 3px 20px;
    clear: both;
    font-weight: 400;
    line-height: 1.42857143;
    color: #333;
    white-space: nowrap;
}

.dropdownmenuitem {
    background: none !important;
    border-bottom: 0px none !important;
    border-bottom-color: currentcolor;
    border-color: transparent !important;
    background-image: none;
    background-color: #FFFFFF;
}


.dropdown-menu>li>a:focus,
.dropdown-menu>li>a:hover {
    /*color: #707372;*/
    color: white;
    /*background-color: #000;*/
    background-color: black !important;
    text-decoration: underline;
}

.open>.dropdown-menu {
    display: inline-table;
}


.hidden {
    display: none;
}

.table-details {
    border: 2px solid Black;
    /*border-color: #dbdbdb;*/
    border-collapse: collapse;
    width: 100%;
    margin-top: 15px;
    /*width: 8489x;*/
}

.table-details-row {
    border: 0px;
    border-bottom: 1px dotted black;
    border-collapse: collapse;
    /*line-height: 3em;*/
}

.details-table-major,
.details-table-minor {
    padding: 8px 15px;
    border: 0px;
    border-bottom: 1px dotted #dbdbdb;
    border-collapse: collapse;
    font-size: 14px;
}

.details-table-major {
    width: 35%;
}

.details-table-minor {
    padding-left: 10px;
    width: 65%;
    /*overflow: hidden;*/
}

.table-details-row label {
    font-weight: bold;
}

.w3 {
    width: 33%;
}

.w4 {
    width: 25%;
}

.field-header {
    -webkit-padding-start: 2px;
    -webkit-padding-end: 2px;
    width: auto;
    border-width: initial;
    border-style: none;
    border-color: initial;
    border-image: initial;
    font-weight: bold;
    font-size: 20px;
}


.nb {
    border: 0px;
}

.loginButton {
    position: relative;
    float: right;
}

button::-moz-focus-inner,
input::-moz-focus-inner {

    padding: 0;
    border: 0;

}

::after,
::before {

    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;

}

element {}

.ui-widget input,
.ui-widget select,
.ui-widget textarea,
.ui-widget button {

    font-family: Verdana, Arial, sans-serif;
    font-size: 1em;

}

.searchinput {
    width: 90%;
    margin: 5px;
    background-color: #e8effc;
}

.dalclassRecordText {
    font-weight: bold;
    font-size: 14px;
}

.recordFieldset {
    padding: 5px 15px;
}


.detailscontent {
    border: 1px solid black;
}


#dalclassEditor {
    position: fixed;
    top: 10%;
    left: 10%;
    /*width: 80%;*/
    height: 80%;
    background-color: white;
    border: 3px ridge gray;
    border-radius: 8px;
    padding: 5px 15px;
}

#dalclassEditor .editorHeader {
    position: relative;
    width: 75%;
    background-color: gray;
    color: white;
    border-bottom: 3px ridge black;
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
    padding: 8px 15px;

}

.editorContent {
    display: flex;
    border: 1px solid black;
    height: 80%;
    overflow: scroll;
}

.details-table-minor input,
select {
    width: 50%;
}

.details-table-minor textarea {
    width: 80%;
    height: 5em;
}

.info {
    position: relative;
    float: right;
    color: blue;
    font-weight: bold;
    font-size: 24px;
    cursor: pointer;
}


/*******************************************************/
/*		tooltip from codepen	*/
a.tooltip {
    position: relative;
    float: right;
    text-decoration: none !important;
    border-bottom: 0px !important;
}

a.tooltip span.icon {
    font-weight: bold;
    font-size: 24px;
    color: blue;
}

a.tooltip:hover {
    text-decoration: none;
}

a.tooltip:after {
    content: attr(tip);
    font-family: Arial, Helvetica, sans-serif;
    font-size: 90%;
    line-height: 1.2em;
    color: #fff;
    width: 200px;
    padding: 5px 10px;
    -moz-border-radius: 6px;
    -webkit-border-radius: 6px;
    border-radius: 6px;
    background: #c00d3f;
    background: -webkit-linear-gradient(#c00d3f, #7b0a2a);
    background: -moz-linear-gradient(#c00d3f, #7b0a2a);
    background: -o-linear-gradient(#c00d3f, #7b0a2a);
    background: -ms-linear-gradient(#c00d3f, #7b0a2a);
    background: linear-gradient(#c00d3f, #7b0a2a);
    -moz-box-shadow: 3px 3px 4px rgba(0, 0, 0, .65);
    -webkit-box-shadow: 3px 3px 4px rgba(0, 0, 0, .65);
    box-shadow: 3px 3px 4px rgba(0, 0, 0, .65);
    position: absolute;
    top: 27px;
    left: -200px;
    display: none;
}

a.tooltip:before {
    z-index: 100000;
    position: absolute;
    content: "";
    top: 15px;
    left: 0px;
    border-right: 7px transparent solid;
    border-left: 7px transparent solid;
    display: none;
}

a.tooltip:hover {
    z-index: 100000;
    position: relative;
    color: #8325f7;
}

a.tooltip:hover:after {
    display: block;
}

a.tooltip:hover:before {
    display: block;
}

/*******************************************************/

.highlight {
    background-color: yellow;
    font-weight: bold;
}

.mainWindow {
    max-width: 80vw;
    max-height: 70vh;
    overflow: auto;
}

/*  move the login button to the right side */
.right {
    margin-left: auto;
    border-left: 1px solid black;
}

.windowButtons {
    width: 100%;
    border: 1px solid gray;
    padding: .5em 1em;
}

.window-button {
    padding: .5em;
    font-weight: bold;
}